Index jobs

Accepts a JSON array of job objects, each with job_id and job_description fields, and adds them to a custom index. Each account can have a single custom index only. This endpoint is used in conjunction with /v1/find_matching_jobs endpoint.

  1. First you need to upsert jobs with /v1/upsert_jobs
  2. Then you can use /v1/find_matching_jobs to find jobs relevant to a profile.

Cost: 1 credit per job

Check out official Python client

Body Params
jobs
array of objects
required

List of job objects to be upserted. Cost: 1 credit per job

jobs*
boolean
  • If "replace" is true, all existing jobs will be replaced with the provided list. This means for example that if a job with existing job_id "job-1234" already exists, but it is not provided in the request, then it will be removed from the index.
  • If "replace" is false or omitted, jobs are upserted (added or updated only).
Responses

400

Invalid job data

401

Invalid API key

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json